cascading.operation

## Enum AssertionLevel

- java.lang.Object
- - java.lang.Enum<AssertionLevel>
  - - cascading.operation.AssertionLevel

All Implemented Interfaces:
  PlannerLevel, java.io.Serializable, java.lang.Comparable<AssertionLevel>

    public enum AssertionLevel
    extends java.lang.Enum<AssertionLevel>
    implements PlannerLevel

Enum AssertionLevel designates the level of a given `Assertion` instance. This is used in conjunction with the `FlowConnector` to plan assertions out of a particular `Flow` instance. Currently Assertions can be denote either VALID or STRICT. VALID assertions are used to validate data during staging testing or for use in a production environment. STRICT assertions should be used as unit test would be against regression data and during development.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NONE`
`STRICT`
`VALID`

### Method Summary

Methods
`boolean` `isNoneLevel()` Returns true if this enum instance represents a value that instructs the `FlowPlanner` to remove all instances from the plan.
`boolean` `isStricterThan(PlannerLevel plannerLevel)` Returns true if the given `PlannerLevel` is less strict than this instance.
`static AssertionLevel` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AssertionLevel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final AssertionLevel NONE

#### VALID

    public static final AssertionLevel VALID

#### STRICT

    public static final AssertionLevel STRICT

### Method Detail

#### values

    public static AssertionLevel[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AssertionLevel c : AssertionLevel.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AssertionLevel valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### isNoneLevel

    public boolean isNoneLevel()

Description copied from interface: `PlannerLevel`
Returns true if this enum instance represents a value that instructs the `FlowPlanner` to remove all instances from the plan.

Specified by:
  `isNoneLevel` in interface `PlannerLevel`
Returns:
  true if this represents "NONE"

#### isStricterThan

    public boolean isStricterThan(PlannerLevel plannerLevel)

Description copied from interface: `PlannerLevel`
Returns true if the given `PlannerLevel` is less strict than this instance.

Specified by:
  `isStricterThan` in interface `PlannerLevel`
Parameters:
  `plannerLevel` - of type PlannerLevel
Returns:
  true if argument is less strict